Developer Documentation

Public Member Functions | Private Attributes | List of all members
PickMode Class Reference

Struct containing information about pickModes. More...

`#include <OpenFlipper/widgets/coreWidget/CoreWidget.hh>`

## Public Member Functions
| PickMode (const std::string &_n, const bool _t, const bool _v, QCursor _c, QToolBar *_tb=0)
| Constructor.
| ~PickMode ()
| Destructor.
void | visible (const bool _visible)
| PickMode visible. More...
bool | visible () const
| PickMode visible. More...
std::string | name () const
| PickMode Name. More...
void | tracking (const bool _tracking)
| PickMode mouse tracking. More...
bool | tracking () const
| PickMode mouse tracking. More...
QCursor | cursor () const
| PickMode cursor. More...
void | cursor (const QCursor _cursor)
| PickMode cursor. More...
void | toolbar (QToolBar *_toolbar)
| PickMode toolbar. More...
QToolBar * | toolbar () const
| PickMode toolbar. More...

## Private Attributes
std::string | name_
| Name of the pickMode.
bool | tracking_
bool | visible_
QCursor | cursor_
QToolBar * | toolbar_

## Detailed Description

Struct containing information about pickModes.

This is an internal DataStructure! Don't use it. It's used to manage the pickmode information internally.

Definition at line 179 of file CoreWidget.hh.

## Member Function Documentation

## ◆ cursor() [1/2]

QCursor PickMode::cursor | ( |  | ) | const

PickMode cursor.

The cursor associated with this pick mode. You can define a non standard cursor that is visible, if this pick mode is active.

Definition at line 111 of file CoreWidget.cc.

## ◆ cursor() [2/2]

void PickMode::cursor | ( | const QCursor | _cursor | ) |

PickMode cursor.

The cursor associated with this pick mode. You can define a non standard cursor that is visible, if this pick mode is active.

Parameters

  _cursor | The cursor to be used in this pickmode

Definition at line 107 of file CoreWidget.cc.

## ◆ name()

std::string PickMode::name | ( | void |  | ) | const

PickMode Name.

Name of the pick mode

Definition at line 95 of file CoreWidget.cc.

## ◆ toolbar() [1/2]

void PickMode::toolbar | ( | QToolBar * | _toolbar | ) |

PickMode toolbar.

Each pickmode can have a toolbar that will be visible at the top of the screen. This toolbar is stored here.

Parameters

  _toolbar | The used toolbar

Definition at line 115 of file CoreWidget.cc.

## ◆ toolbar() [2/2]

QToolBar * PickMode::toolbar | ( |  | ) | const

PickMode toolbar.

Each pickmode can have a toolbar that will be visible at the top of the screen. This toolbar is stored here.

Definition at line 119 of file CoreWidget.cc.

## ◆ tracking() [1/2]

void PickMode::tracking | ( | const bool | _tracking | ) |

PickMode mouse tracking.

If the pick mode has mouse tracking enabled, it will emit mouse events with every movement and not only on button events.

Parameters

  _tracking | mouse tracking enabled or not

Definition at line 99 of file CoreWidget.cc.

## ◆ tracking() [2/2]

bool PickMode::tracking | ( |  | ) | const

PickMode mouse tracking.

If the pick mode has mouse tracking enabled, it will emit mouse events with every movement and not only on button events.

Definition at line 103 of file CoreWidget.cc.

## ◆ visible() [1/2]

void PickMode::visible | ( | const bool | _visible | ) |

PickMode visible.

Parameters

  _visible | Should this be a visible or a hidden pick mode?

Definition at line 87 of file CoreWidget.cc.

## ◆ visible() [2/2]

bool PickMode::visible | ( |  | ) | const

PickMode visible.

Visible or hidden pick mode

Definition at line 91 of file CoreWidget.cc.

## Member Data Documentation

## ◆ cursor_

QCursor PickMode::cursor_
| private

Cursor used in this pickMode

Definition at line 270 of file CoreWidget.hh.

## ◆ toolbar_

QToolBar* PickMode::toolbar_
| private

Additional toolbar showed in this pickMode

Definition at line 274 of file CoreWidget.hh.

## ◆ tracking_

bool PickMode::tracking_
| private

MouseTracking enabled for this mode?

Definition at line 262 of file CoreWidget.hh.

## ◆ visible_

bool PickMode::visible_
| private

Defines if the Mode will be visible in the popup Menu

Definition at line 266 of file CoreWidget.hh.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/coreWidget/CoreWidget.hh
- OpenFlipper/widgets/coreWidget/CoreWidget.cc